AssignGHNTask
Date: 2014-06-04

org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks

## Class AssignGHNTask

- java.lang.Object
- - org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
  - - org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks.AssignGHNTask

-     public class AssignGHNTask
      extends PlanBuilderTask

  This task is usually used at the and of decision making chain. If the request still contains some package groups that have not been assigned, it retrieves the list of all the other ghn available, sorts them according to the running instances and tries to complete the plan decision.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssignGHNTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanBuilderElem` | `makeDecision(PlanBuilderElem input)` Declares a decision making strategy over `PlanBuilderElem` elements.

    - ### Methods inherited from class org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask

      `setID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignGHNTask

          public AssignGHNTask()

  - ### Method Detail

    - #### makeDecision

          public final PlanBuilderElem makeDecision(PlanBuilderElem input)
                                             throws PlanBuilderException

      Description copied from class: `PlanBuilderTask`
      Declares a decision making strategy over `PlanBuilderElem` elements.
      Specified by:
        `makeDecision` in class `PlanBuilderTask`
      Parameters:
        `input` - `PlanBuilderElem` the required data to make a decision plan.
      Returns:
        an element of type `PlanBuilderElem` with the initial request and response possibly modified in accordance to the decision making strategy.
      Throws:
        `PlanBuilderException`